# WinStd: SDDL

Loading...
Searching...
No Matches
SDDL

## Classes

class | winstd::security_attributes

## Functions

static BOOL WINAPI | ConvertStringSecurityDescriptorToSecurityDescriptorA (LPCSTR StringSecurityDescriptor, DWORD StringSDRevision, winstd::security_attributes &sa, PULONG SecurityDescriptorSize)
| Converts a string-format security descriptor into a valid, functional security descriptor.
static BOOL WINAPI | ConvertStringSecurityDescriptorToSecurityDescriptorW (LPCWSTR StringSecurityDescriptor, DWORD StringSDRevision, winstd::security_attributes &sa, PULONG SecurityDescriptorSize)
| Converts a string-format security descriptor into a valid, functional security descriptor.

## Detailed Description

## Function Documentation

## ConvertStringSecurityDescriptorToSecurityDescriptorA()

static BOOL WINAPI ConvertStringSecurityDescriptorToSecurityDescriptorA | ( | LPCSTR | StringSecurityDescriptor,
|  | DWORD | StringSDRevision,
|  | winstd::security_attributes & | sa,
|  | PULONG | SecurityDescriptorSize )

static

Converts a string-format security descriptor into a valid, functional security descriptor.

See also
  ConvertStringSecurityDescriptorToSecurityDescriptor function

## ConvertStringSecurityDescriptorToSecurityDescriptorW()

static BOOL WINAPI ConvertStringSecurityDescriptorToSecurityDescriptorW | ( | LPCWSTR | StringSecurityDescriptor,
|  | DWORD | StringSDRevision,
|  | winstd::security_attributes & | sa,
|  | PULONG | SecurityDescriptorSize )

static

Converts a string-format security descriptor into a valid, functional security descriptor.

See also
  ConvertStringSecurityDescriptorToSecurityDescriptor function